cl_fuzziness {clue} | R Documentation

## Partition Fuzziness

### Description

Compute the fuzziness of partitions.

### Usage

    cl_fuzziness(x, method = NULL, normalize = TRUE)

### Arguments

`x` | a cluster ensemble of partitions, or an R object coercible to such.

`method`

a character string indicating the fuzziness measure to be employed, or `NULL` (default), or a function to be taken as a user-defined method. Currently available built-in methods are `"PC"` (Partition Coefficient) and `"PE"` (Partition Entropy), with the default corresponding to the first one. If `method` is a character string, its lower-cased version is matched against the lower-cased names of the available built-in methods using `pmatch`.

`normalize` | a logical indicating whether the fuzziness measure should be normalized in a way that hard partitions have value 0, and “completely fuzzy” partitions (where for all objects, all classes get the same membership) have value 1.

### Details

If m contains the membership values of a partition, the (unnormalized) Partition Coefficient and Partition Entropy are given by ∑_{n,i} m_{n,i}^2 and ∑_{n,i} H(m_{n,i}), respectively, where u log(u) - (1-u) log(1-u).

Note that the normalization used here is different from the normalizations typically found in the literature.

If a user-defined fuzziness method is to be employed, is must be a function taking a matrix of membership values and a logical to indicate whether normalization is to be performed as its arguments (in that order; argument names are not used).

### Value

An object of class `"cl_fuzziness"` giving the fuzziness values.

### References

J. C. Bezdek (1981). Pattern Recognition with Fuzzy Objective Function Algorithms. New York: Plenum.

### See Also

Function `fclustIndex` in package e1071, which also computes several other “fuzzy cluster indexes” (typically based on more information than just the membership values).

### Examples

    if(require("e1071", quiet = TRUE)) {
        ## Use an on-line version of fuzzy c-means from package e1071 if
        ## available.
        data("Cassini")
        pens <- cl_boot(Cassini$x, B = 15, k = 3, algorithm = "cmeans",
                        parameters = list(method = "ufcl"))
        pens
        summary(cl_fuzziness(pens, "PC"))
        summary(cl_fuzziness(pens, "PE"))
    }

[Package clue version 0.3-57 Index]